cereal::detail::bind_to_archives< T, Tag > Struct Template Reference

Begins the binding process of a type to all registered archives. More...

`#include </build/libcereal-YYPPni/libcereal-1.2.1/include/cereal/details/polymorphic_impl.hpp>`

## Public Member Functions

void | bind (std::false_type) const
| Binding for non abstract types.
void | bind (std::true_type) const
| Binding for abstract types.
bind_to_archives const & | bind () const
| Binds the type T to all registered archives. More...

## Detailed Description

### template<class T, class Tag = polymorphic_binding_tag>
struct cereal::detail::bind_to_archives< T, Tag >

Begins the binding process of a type to all registered archives.

Archives need to be registered prior to this struct being instantiated via the CEREAL_REGISTER_ARCHIVE macro. Overload resolution will then force several static objects to be made that allow us to bind together all registered archive types with the parameter type T.

## Member Function Documentation

## bind()

template<class T , class Tag = polymorphic_binding_tag>

bind_to_archives const& cereal::detail::bind_to_archives< T, Tag >::bind | ( |  | ) | const

inline

Binds the type T to all registered archives.

If T is abstract, we will not serialize it and thus do not need to make a binding

The documentation for this struct was generated from the following file:

- include/cereal/details/polymorphic_impl.hpp